| Class LfTable LfTable is an object storing all necessary information for the LF-mapping. LfTable<TOccTable, TPrefixSumTable> Include Headers seqan/Index.h Parameters
TOccTable | The occurrence table data structure. Types: SentinelRankDictionary
TPrefixSumTable | The specialisation tag. Default: String
Functions
clear | Clears the prefix sum table.
createLfTable | Creates the LF table
empty | Clears the LF table.
getFibre | Returns a specific fibre of a container.
length | Returns the number of different characters in the prefix-sum table.
lfMapping | Returns the position of an character at a specified position of L in F. L corresponds to the last column of the sorted cyclic rotations of the original text, while F correspond to the first column.
open | This functions loads a LF table from disk.
save | This functions saves a LF table to disk.
setLfTable | Set the LfTable of the compressed suffix array.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56